
Redmine - Defect #9517

commit failed with redmine on same vhost than subversion

2011-11-03 19:14 - Anonymous

Status: Closed Start date: 2011-11-03

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Ruby support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

Hi,

First of all, i think the bug came from subversion 1.7 and open a topic on subversion mailing list.

http://thread.gmane.org/gmane.comp.version-control.subversion.user/107264

I think i've found the solution (IPv6 like #9467) BUT, the bug appear again, and now i've found it's come from ruby (and redmine)

So, here is my configuration

I have a vhost : http://phea.coda-cola.net/ which is running redmine (all works fine) thrue apache 2.2.x + mod_passenger

In the configuration of my vhost, i've something like that

 <VirtualHost *:80>

  DocumentRoot /www/coda-cola.net/phea/htdocs/public/

  ServerName phea.coda-cola.net

  SetEnv PATH "#{ENV['PATH']}:/usr/local/bin" 

  SetEnv RAILS_ENV production

  <Location /svn>

    AddDefaultCharset utf-8

    SVNIndexXSLT "/repos-web/view/repos.xsl" 

    SVNAutoversioning on

    DAV svn

    SVNParentPath /exports/svn/phea

    AuthzSVNAccessFile /exports/svn/phea/authorizations.conf

    SVNListParentPath Off

    AuthType Basic

    AuthName "phea login" 

    Require valid-user

    Satisfy Any

    AuthUserFile /exports/svn/phea/.passwd

  </Location>

  <Directory /www/coda-cola.net/phea/htdocs/public/>

    AllowOverride All

    Options -MultiViews +FollowSymLinks

  </Directory>

  SetEnvIf Request_URI "^/svn/*" isSvn

</VirtualHost>

 update works fine and when i deactivate mod_passenger (and redmine), commit work fine too.

When i reactivate passenger, i've this log in redmine production.log

ActionController::RoutingError (No route matches "/svn/site/!svn/me" with {:method=>:post}):

  passenger (3.0.9) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

  passenger (3.0.9) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_n

ext_request'

  passenger (3.0.9) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_reque
st_handler'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spaw

n_application'

  passenger (3.0.9) lib/phusion_passenger/utils.rb:479:in `safe_fork'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spaw

n_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:180:in `start'

  passenger (3.0.9) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

  passenger (3.0.9) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

  passenger (3.0.9) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

  passenger (3.0.9) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

  passenger (3.0.9) helper-scripts/passenger-spawn-server:99

/svn is for svn location

/site is the repositorie

/!svn/me is the new HTTPv2 subversion 1.7.x protocol   

How can i ignore this kind of path ???

Thanks all

PS my config doesn't change from this issue #9467

History

#1 - 2011-11-03 22:48 - Anonymous

- Status changed from New to Resolved

- % Done changed from 0 to 100

solution : add "PassengerEnabled Off" in <Location /svn> apache section.

#2 - 2011-11-06 01:01 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. Maybe it'll be helpful for other people.
